Package net.shibboleth.idp.profile.logic

# Class RegexAttributePredicate

java.lang.Object
net.shibboleth.profile.context.logic.AbstractAttributePredicate
net.shibboleth.profile.context.logic.RegexAttributePredicate
net.shibboleth.idp.profile.logic.RegexAttributePredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

@Deprecated(since="5.0.0", forRemoval=true) public class RegexAttributePredicate extends RegexAttributePredicate
Deprecated, for removal: This API element is subject to removal in a future version.
Deprecated stub for relocated class.

## Constructor Summary

Constructors
Constructor
Description
`RegexAttributePredicate()`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.profile.context.logic.RegexAttributePredicate

`getAttributeId, getPattern, hasMatch, setAttributeId, setPattern, setPattern`

### Methods inherited from class net.shibboleth.profile.context.logic.AbstractAttributePredicate

`allowNullAttributeContext, getAttributeContextLookupStrategy, isUseUnfilteredAttributes, setAttributeContextLookupStrategy, setUseUnfilteredAttributes, test`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### RegexAttributePredicate

public RegexAttributePredicate()
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.